import { Canvas, getCurrentCanvas, setCurrentCanvas } from './canvas.js'

window.Canvas = Canvas
window.setCurrentCanvas = setCurrentCanvas
window.getCurrentCanvas = getCurrentCanvas

import { Style } from './style.js'

window.Style = Style

import { Dot, Middle } from './dot.js'

window.Dot = Dot
window.Middle = Middle

Object.defineProperties(window, {
	width: {
		get() {
			return getCurrentCanvas().width
		},
		set(width) {
			getCurrentCanvas().width = width
		}
	},
	height: {
		get() {
			return getCurrentCanvas().height
		},
		set(height) {
			getCurrentCanvas().height = height
		}
	}
})
